Embed
Chat With Embedded Agent
Chat with an embedded agent (public, validates origin)
Chat with an embedded agent (public, validates origin)
X-API-Key<token>
Use X-API-Key: .
In: header
Path Parameters
agentId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/embed/string/ai" \ -H "Content-Type: application/json" \ -d '{ "chatId": "string", "message": { "id": "string" } }'{ "cause": { "code": "api/invalid-json", "detail": "string" }, "message": "The request body is not valid JSON"}{ "cause": { "code": "auth/jwt-invalid", "detail": "malformed" }, "message": "Token verification failed"}{ "cause": { "code": "api/no-active-team", "detail": "You must have an active team. Please select a team to continue." }, "message": "No active team"}{ "cause": { "code": "embed/agent-not-found", "detail": "The requested agent does not exist." }, "message": "Agent not found"}{ "cause": { "code": "chat/agent-mismatch", "detail": "string" }, "message": "Chat belongs to another agent"}{ "cause": { "code": "api/unsupported-media-type", "detail": "GET requests cannot have a content type header" }, "message": "Unsupported Media Type"}